### Method

# Clutter GridLayout attach_next_to

#### Declaration [src]

    void
    clutter_grid_layout_attach_next_to (
      ClutterGridLayout* layout,
      ClutterActor* child,
      ClutterActor* sibling,
      ClutterGridPosition side,
      gint width,
      gint height
    )

#### Description [src]

Adds a actor to the grid.

The actor is placed next to `sibling`, on the side determined by `side`. When `sibling` is `NULL`, the actor is placed in row (for left or right placement) or column 0 (for top or bottom placement), at the end indicated by `side`.

Attaching widgets labeled [1], [2], [3] with `sibling` == `NULL` and `side` == `CLUTTER_GRID_POSITION_LEFT` yields a layout of [3][2][1].

#### Parameters

`child`

  Type: `ClutterActor`

  The actor to add.

  The data is owned by the caller of the method.

`sibling`

  Type: `ClutterActor`

  The child of `layout` that `child` will be placed next to, or `NULL` to place `child` at the beginning or end.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`side`

  Type: `ClutterGridPosition`

  The side of `sibling` that `child` is positioned next to.

`width`

  Type: `gint`

  The number of columns that `child` will span.

`height`

  Type: `gint`

  The number of rows that `child` will span.